--- stardict-3.0.1/src/Makefile.am.gcc43	2007-07-10 16:16:04.000000000 +0900
+++ stardict-3.0.1/src/Makefile.am	2008-02-26 19:35:12.000000000 +0900
@@ -14,6 +14,8 @@
 
 bin_PROGRAMS = stardict
 
+DEFAULT_INCLUDES = -I$(top_builddir)
+
 INCLUDES =							                            \
 	$(STARDICT_CFLAGS)						                    \
 	$(LOCAL_SIGCPP_INCLUDE)	\
--- stardict-3.0.1/src/config_file.hpp.gcc43	2007-07-10 16:16:04.000000000 +0900
+++ stardict-3.0.1/src/config_file.hpp	2008-02-26 19:35:00.000000000 +0900
@@ -5,7 +5,7 @@
 #include <list>
 #include <string>
 
-#include "sigc++/sigc++.h"
+#include <sigc++/sigc++.h>
 
 class config_file;
 
--- stardict-3.0.1/src/gconf_file.cpp.gcc43	2007-07-10 16:16:04.000000000 +0900
+++ stardict-3.0.1/src/gconf_file.cpp	2008-02-26 19:37:18.000000000 +0900
@@ -22,6 +22,7 @@
 #  include "config.h"
 #endif
 
+#include <memory>
 #include <glib/gi18n.h>
 
 #include "gconf_file.hpp"
--- stardict-3.0.1/src/gtk_iskeyspressed.cpp.gcc43	2007-07-10 16:16:04.000000000 +0900
+++ stardict-3.0.1/src/gtk_iskeyspressed.cpp	2008-02-26 19:37:35.000000000 +0900
@@ -97,7 +97,7 @@
     GDK_BUTTON5_MASK  = 1 << 12,
   */
 
-  mask = GdkModifierType(guint(mask) & (1<<13)-1);
+  mask = GdkModifierType(guint(mask) & ((1<<13)-1));
 
   mask = 
     GdkModifierType(guint(mask) & ~(GDK_LOCK_MASK | GDK_BUTTON1_MASK | GDK_BUTTON2_MASK |
--- stardict-3.0.1/src/inifile.cpp.gcc43	2007-08-01 18:43:00.000000000 +0900
+++ stardict-3.0.1/src/inifile.cpp	2008-02-26 19:37:51.000000000 +0900
@@ -28,6 +28,7 @@
 #include <cstdio>
 #include <glib/gi18n.h>
 #include <glib/gstdio.h>
+#include <stdlib.h>
 
 #include "utils.h"
 
--- stardict-3.0.1/src/lib/common.cpp.gcc43	2007-09-25 11:27:24.000000000 +0900
+++ stardict-3.0.1/src/lib/common.cpp	2008-02-26 19:34:01.000000000 +0900
@@ -24,6 +24,8 @@
 #  include "config.h"
 #endif
 
+#include <cstring>
+#include <stdlib.h>
 #include "common.hpp"
 
 static void parse_description(const char *p, long len, std::string &description)
--- stardict-3.0.1/src/lib/data.cpp.gcc43	2007-09-21 10:09:52.000000000 +0900
+++ stardict-3.0.1/src/lib/data.cpp	2008-02-26 19:33:38.000000000 +0900
@@ -26,6 +26,7 @@
 
 #include "data.hpp"
 #include "getuint32.h"
+#include <cstring>
 
 
 DictBase::DictBase()
--- stardict-3.0.1/src/lib/http_client.cpp.gcc43	2007-09-06 17:29:30.000000000 +0900
+++ stardict-3.0.1/src/lib/http_client.cpp	2008-02-26 19:34:27.000000000 +0900
@@ -4,6 +4,7 @@
 
 #include "http_client.h"
 #include "sockets.hpp"
+#include <cstring>
 
 sigc::signal<void, HttpClient *, const char *> HttpClient::on_error_;
 sigc::signal<void, HttpClient *> HttpClient::on_response_;
--- stardict-3.0.1/src/lib/pluginmanager.cpp.gcc43	2007-10-10 12:26:45.000000000 +0900
+++ stardict-3.0.1/src/lib/pluginmanager.cpp	2008-02-26 19:34:36.000000000 +0900
@@ -1,6 +1,7 @@
 #include "pluginmanager.h"
 #include "file.hpp"
 #include <string>
+#include <cstring>
 
 StarDictPluginBaseObject::StarDictPluginBaseObject(const char *filename, GModule *module_, plugin_configure_func_t configure_func_):
 	plugin_filename(filename), module(module_), configure_func(configure_func_)
--- stardict-3.0.1/src/lib/stardict_client.cpp.gcc43	2007-10-31 17:32:11.000000000 +0900
+++ stardict-3.0.1/src/lib/stardict_client.cpp	2008-02-26 19:34:16.000000000 +0900
@@ -25,6 +25,8 @@
 #include <glib.h>
 #include <glib/gi18n.h>
 
+#include <cstring>
+#include <stdlib.h>
 #include "sockets.hpp"
 #include "md5.h"
 #include "getuint32.h"
--- stardict-3.0.1/src/lib/stddict.cpp.gcc43	2007-10-30 18:06:07.000000000 +0900
+++ stardict-3.0.1/src/lib/stddict.cpp	2008-02-26 19:33:46.000000000 +0900
@@ -28,6 +28,7 @@
 #  include "config.h"
 #endif
 
+#include <cstring>
 #include <glib/gi18n.h>
 #include <glib/gstdio.h>
 
--- stardict-3.0.1/src/lib/treedict.cpp.gcc43	2007-09-21 10:09:52.000000000 +0900
+++ stardict-3.0.1/src/lib/treedict.cpp	2008-02-26 19:33:52.000000000 +0900
@@ -25,6 +25,7 @@
 #  include "config.h"
 #endif
 
+#include <cstring>
 #include "file.hpp"
 #include "getuint32.h"
 
--- stardict-3.0.1/src/pangoview.cpp.gcc43	2007-09-25 16:11:48.000000000 +0900
+++ stardict-3.0.1/src/pangoview.cpp	2008-02-26 19:37:02.000000000 +0900
@@ -22,6 +22,7 @@
 #  include "config.h"
 #endif
 
+#include <cstring>
 #include "gtktextviewpango.h"
 #include "utils.h"
 #include "skin.h"//for SkinCursor definition
--- stardict-3.0.1/src/utils.cpp.gcc43	2007-10-22 11:25:02.000000000 +0900
+++ stardict-3.0.1/src/utils.cpp	2008-02-26 19:36:01.000000000 +0900
@@ -22,6 +22,7 @@
 #  include "config.h"
 #endif
 
+#include <cstring>
 #include <glib.h>
 #include <glib/gi18n.h>
 #include <cstdlib>
--- stardict-3.0.1/src/x11_iskeyspressed.hpp.gcc43	2007-07-10 16:16:04.000000000 +0900
+++ stardict-3.0.1/src/x11_iskeyspressed.hpp	2008-02-27 16:16:17.000000000 +0900
@@ -5,6 +5,8 @@
 #include <X11/keysym.h>
 #include <gtk/gtk.h>
 
+#include <memory>
+
 #include "iskeyspressed.hpp"
 
 typedef enum { SYM, CODE, BUTTON } KeyType_t;
--- stardict-3.0.1/stardict-plugins/stardict-advertisement-plugin/advertisement.cpp.gcc43	2007-09-21 10:09:53.000000000 +0900
+++ stardict-3.0.1/stardict-plugins/stardict-advertisement-plugin/advertisement.cpp	2008-02-26 19:39:34.000000000 +0900
@@ -2,6 +2,7 @@
 #include <glib.h>
 #include <glib/gi18n.h>
 #include <glib/gstdio.h>
+#include <cstring>
 #include <string>
 #include <map>
 #include <list>
--- stardict-3.0.1/stardict-plugins/stardict-dictdotcn-plugin/stardict_dictdotcn.cpp.gcc43	2007-10-10 18:28:29.000000000 +0900
+++ stardict-3.0.1/stardict-plugins/stardict-dictdotcn-plugin/stardict_dictdotcn.cpp	2008-02-26 19:38:56.000000000 +0900
@@ -1,5 +1,6 @@
 #include "stardict_dictdotcn.h"
 #include <glib/gi18n.h>
+#include <cstring>
 #include <string>
 #include <list>
 
--- stardict-3.0.1/stardict-plugins/stardict-espeak-tts-plugin/stardict_espeak.cpp.gcc43	2007-09-19 17:27:18.000000000 +0900
+++ stardict-3.0.1/stardict-plugins/stardict-espeak-tts-plugin/stardict_espeak.cpp	2008-02-26 19:45:43.000000000 +0900
@@ -1,6 +1,7 @@
 #include "stardict_espeak.h"
 #include <espeak/speak_lib.h>
 #include <glib/gi18n.h>
+#include <cstring>
 
 static const StarDictPluginSystemInfo *plugin_info = NULL;
 static std::string voice_engine;
--- stardict-3.0.1/stardict-plugins/stardict-gucharmap-plugin/stardict_gucharmap.cpp.gcc43	2007-08-31 16:10:41.000000000 +0900
+++ stardict-3.0.1/stardict-plugins/stardict-gucharmap-plugin/stardict_gucharmap.cpp	2008-02-26 19:45:27.000000000 +0900
@@ -1,6 +1,8 @@
 #include "stardict_gucharmap.h"
 #include <glib/gi18n.h>
 #include <gucharmap/gucharmap.h>
+#include <stdlib.h>
+#include <cstring>
 #include <string>
 
 static char *build_dictdata(char type, const char *definition)
--- stardict-3.0.1/stardict-plugins/stardict-html-parsedata-plugin/stardict_html_parsedata.cpp.gcc43	2007-09-13 16:51:55.000000000 +0900
+++ stardict-3.0.1/stardict-plugins/stardict-html-parsedata-plugin/stardict_html_parsedata.cpp	2008-02-26 19:41:11.000000000 +0900
@@ -1,5 +1,7 @@
 #include "stardict_html_parsedata.h"
 #include <glib/gi18n.h>
+#include <cstring>
+#include <stdlib.h>
 
 #ifdef _WIN32
 #include <windows.h>
--- stardict-3.0.1/stardict-plugins/stardict-man-plugin/stardict_man.cpp.gcc43	2007-09-19 17:30:54.000000000 +0900
+++ stardict-3.0.1/stardict-plugins/stardict-man-plugin/stardict_man.cpp	2008-02-26 19:40:22.000000000 +0900
@@ -1,5 +1,6 @@
 #include "stardict_man.h"
 #include <glib/gi18n.h>
+#include <cstring>
 #include <string>
 
 static const StarDictPluginSystemInfo *plugin_info = NULL;
--- stardict-3.0.1/stardict-plugins/stardict-powerword-parsedata-plugin/stardict_powerword_parsedata.cpp.gcc43	2007-10-25 17:16:37.000000000 +0900
+++ stardict-3.0.1/stardict-plugins/stardict-powerword-parsedata-plugin/stardict_powerword_parsedata.cpp	2008-02-26 19:44:06.000000000 +0900
@@ -1,4 +1,5 @@
 #include "stardict_powerword_parsedata.h"
+#include <cstring>
 #include <glib/gi18n.h>
 
 #ifdef _WIN32
--- stardict-3.0.1/stardict-plugins/stardict-qqwry-plugin/stardict_qqwry.cpp.gcc43	2007-11-02 17:41:26.000000000 +0900
+++ stardict-3.0.1/stardict-plugins/stardict-qqwry-plugin/stardict_qqwry.cpp	2008-02-26 19:45:57.000000000 +0900
@@ -1,6 +1,8 @@
 #include "stardict_qqwry.h"
 #include <glib/gi18n.h>
 #include <glib/gstdio.h>
+#include <cstring>
+#include <stdlib.h>
 #include <string>
 
 #ifdef _WIN32
--- stardict-3.0.1/stardict-plugins/stardict-spell-plugin/stardict_spell.cpp.gcc43	2007-09-19 17:29:21.000000000 +0900
+++ stardict-3.0.1/stardict-plugins/stardict-spell-plugin/stardict_spell.cpp	2008-02-26 19:45:13.000000000 +0900
@@ -3,6 +3,7 @@
 #include <glib/gi18n.h>
 #include <enchant.h>
 #include <pango/pango.h>
+#include <cstring>
 #include <string>
 #include <vector>
 
--- stardict-3.0.1/stardict-plugins/stardict-update-info-plugin/stardict_update_info.cpp.gcc43	2007-09-19 17:34:36.000000000 +0900
+++ stardict-3.0.1/stardict-plugins/stardict-update-info-plugin/stardict_update_info.cpp	2008-02-26 19:40:46.000000000 +0900
@@ -1,5 +1,7 @@
 #include "stardict_update_info.h"
 #include <glib/gi18n.h>
+#include <cstring>
+#include <stdlib.h>
 
 #ifdef _WIN32
 #include <windows.h>
--- stardict-3.0.1/stardict-plugins/stardict-wiki-parsedata-plugin/stardict_wiki2xml.cpp.gcc43	2007-07-10 16:16:15.000000000 +0900
+++ stardict-3.0.1/stardict-plugins/stardict-wiki-parsedata-plugin/stardict_wiki2xml.cpp	2008-02-26 19:45:00.000000000 +0900
@@ -1,5 +1,6 @@
 #include "stardict_wiki2xml.h"
 #include "WIKI2XML.h"
+#include <cstring>
 #include <glib.h>
 
 std::string wiki2xml(std::string &str)
--- stardict-3.0.1/stardict-plugins/stardict-wiki-parsedata-plugin/stardict_wiki_parsedata.cpp.gcc43	2007-08-31 15:41:21.000000000 +0900
+++ stardict-3.0.1/stardict-plugins/stardict-wiki-parsedata-plugin/stardict_wiki_parsedata.cpp	2008-02-26 19:44:40.000000000 +0900
@@ -1,5 +1,6 @@
 #include "stardict_wiki_parsedata.h"
 #include "stardict_wiki2xml.h"
+#include <cstring>
 #include <glib/gi18n.h>
 
 #ifdef _WIN32
--- stardict-3.0.1/stardict-plugins/stardict-wordnet-plugin/court_widget.cpp.gcc43	2007-10-18 10:36:22.000000000 +0900
+++ stardict-3.0.1/stardict-plugins/stardict-wordnet-plugin/court_widget.cpp	2008-02-26 19:42:25.000000000 +0900
@@ -1,6 +1,7 @@
 #include "court_widget.h"
 #include <math.h>
 #include <list>
+#include <cstring>
 
 
 wnobj::wnobj(partic_t & p, unsigned int t) : _p(p), _t(t), highlight(false)
--- stardict-3.0.1/stardict-plugins/stardict-wordnet-plugin/stardict_wordnet.cpp.gcc43	2007-10-15 12:32:04.000000000 +0900
+++ stardict-3.0.1/stardict-plugins/stardict-wordnet-plugin/stardict_wordnet.cpp	2008-02-26 19:42:05.000000000 +0900
@@ -1,6 +1,7 @@
 #include "stardict_wordnet.h"
 #include "court_widget.h"
 #include <glib/gi18n.h>
+#include <cstring>
 
 #ifdef _WIN32
 #include <windows.h>
--- stardict-3.0.1/stardict-plugins/stardict-wordnet-plugin/stardict_wordnet_parsedata.cpp.gcc43	2007-10-10 18:39:10.000000000 +0900
+++ stardict-3.0.1/stardict-plugins/stardict-wordnet-plugin/stardict_wordnet_parsedata.cpp	2008-02-26 19:43:21.000000000 +0900
@@ -1,4 +1,5 @@
 #include "stardict_wordnet_parsedata.h"
+#include <cstring>
 #include <glib/gi18n.h>
 
 #ifdef _WIN32
--- stardict-3.0.1/stardict-plugins/stardict-xdxf-parsedata-plugin/stardict_xdxf_parsedata.cpp.gcc43	2007-08-31 15:41:54.000000000 +0900
+++ stardict-3.0.1/stardict-plugins/stardict-xdxf-parsedata-plugin/stardict_xdxf_parsedata.cpp	2008-02-26 19:41:36.000000000 +0900
@@ -1,5 +1,6 @@
 #include "stardict_xdxf_parsedata.h"
 #include <glib/gi18n.h>
+#include <cstring>
 
 #ifdef _WIN32
 #include <windows.h>
--- stardict-3.0.1/tests/t_config_file.cpp.gcc43	2007-07-10 16:16:04.000000000 +0900
+++ stardict-3.0.1/tests/t_config_file.cpp	2008-02-26 19:38:14.000000000 +0900
@@ -2,6 +2,7 @@
 #  include "config.h"
 #endif
 
+#include <memory>
 #include <cerrno>
 #include <cstdio>
 #include <cstdlib>
--- stardict-3.0.1/tests/t_xml.cpp.gcc43	2007-07-10 16:16:04.000000000 +0900
+++ stardict-3.0.1/tests/t_xml.cpp	2008-02-26 19:38:04.000000000 +0900
@@ -3,6 +3,7 @@
 #endif
 
 #include <glib.h>
+#include <cstring>
 #include <cstdlib>
 #include <string>
 
